Bug 673822 - selinux(8) manpage fix
selinux(8) manpage fix
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
rawhide
All All
unspecified Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: ManPageChange, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-30 13:48 EST by John Bradshaw
Modified: 2013-03-25 07:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-25 07:48:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
selinux(8) patch (464 bytes, patch)
2011-01-30 13:48 EST, John Bradshaw
no flags Details | Diff

  None (edit)
Description John Bradshaw 2011-01-30 13:48:31 EST
Created attachment 476075 [details]
selinux(8) patch

Description of problem:
Spelling mistake in selinux(8) manpage

Version-Release number of selected component (if applicable):
libselinux-1.33.4-5.5.el5.src.rpm
libselinux-utils-1.33.4-5.5.el5

How reproducible:
Always

Steps to Reproduce:
1. man 8 selinux
  
Actual results / Expected results / Additional info:
See patch
Comment 1 Ondrej Vasik 2011-03-09 15:32:48 EST
Moving this bug to Fedora as agreed with the reporter. I apologize if the manpage typo/grammar error was already fixed in version included in the Fedora, if that's the case, feel free to close the bug.
Comment 2 Tony Foiani 2011-12-20 03:00:57 EST
Found a few other issues with the selinux man pages (this is on Fedora 16):

1. man context_type_set

The context_*_set functions are shown returning "char *", but the include file selinux/context.h shows they have an "int" return type, and the man page mentions 0 for success, -1 for failure.

Further, the spacing around the arguments in the synopsis is lousy.

2. man setcon

"decompose your applicaiton and use" should be "decompose your application and use".  (Note "applicaiton" -> "application").

Someone with more tuits could probably run a spell checker over all the man pages, given the number of trivial "typing too fast" typos that have shown up.

Thanks!
Comment 3 Daniel Walsh 2011-12-20 11:51:36 EST
Fixed in libselinux-2.1.8-6.fc17
Comment 4 John Bradshaw 2013-03-25 07:48:35 EDT
Marked fixed 2011-12-20

Note You need to log in before you can comment on or make changes to this bug.